%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:       Log viewer for the systemd journal
Name:          gnome-logs
Version:       43.0
Release:       5%{?dist}
License:       GPLv3+
URL:           https://wiki.gnome.org/Apps/Logs
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils docbook-dtds docbook-style-xsl gcc itstool libxslt meson
BuildRequires: pkgconfig(gtk4) pkgconfig(libadwaita-1) pkgconfig(libsystemd) /usr/bin/appstream-util
Requires:      gsettings-desktop-schemas

%description
A log viewer for the systemd journal.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Dman=true
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/dbus-1/services/org.gnome.Logs.service
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.*.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Logs.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Logs-symbolic.svg
%{_datadir}/metainfo/org.gnome.Logs.appdata.xml
%{_mandir}/man1/gnome-logs.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
